%define anolis_release 1
Name:           iio-sensor-proxy
Version:        3.3
Release:        %{anolis_release}%{?dist}
Summary:        IIO accelerometer sensor to input device proxy

License:        GPLv3+
URL:            https://gitlab.freedesktop.org/hadess/iio-sensor-proxy
Source0:        https://gitlab.freedesktop.org/hadess/iio-sensor-proxy/uploads/83c63a8dd585ef6d1568791369dc8877/iio-sensor-proxy-3.3.tar.xz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  systemd
BuildRequires:  umockdev
BuildRequires:  python3-dbusmock
%{?systemd_requires}

%description
%{summary}.

%package docs
Summary:        Documentation for %{name}
BuildArch:      noarch

%description docs
This package contains the documentation for %{name}.

%prep
%autosetup

%build
%meson -Dgtk_doc=true -Dgtk-tests=false
%meson_build

%install
%meson_install

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license COPYING
%doc README.md
%{_bindir}/monitor-sensor
%{_libexecdir}/%{name}
%{_unitdir}/%{name}.service
%{_udevrulesdir}/*-%{name}.rules
%{_sysconfdir}/dbus-1/system.d/net.hadess.SensorProxy.conf

%files docs
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%{_datadir}/gtk-doc/html/%{name}/

%changelog
* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.3-1
- init from upstream
